<?php
class Vote_RadioAR extends netsControl {
	public function Vote_RadioAR(){
		$this->netsControl();
	}
	public function Control($pColumn){
		$tmpControl=$pColumn['stcotName'].'Txt'.$pColumn['NameExtend'];
		$tmpIntroduct='';
		if(strlen($pColumn['stcoctUiIntroduct'])>0 && $pColumn['stcoctUiIntroduct']!='&nbsp;'){
			$tmpIntroduct='<div id="'.$tmpControl.'_Messagebox" class="ControlIntroduct">'.$pColumn['stcoctUiIntroduct'].'</div>';
		}else{
			$tmpIntroduct='<div id="'.$tmpControl.'_Messagebox" class="DHidden">'.$pColumn['stcoctUiIntroduct'].'</div>';
		}
?>
<!-- #<?php echo ($pColumn['stcotName']); ?> -->
<table class="VoteC_Select" cellpadding="0" cellspacing="0"><tr>
<?php
		$Coun0=0;
		foreach ($pColumn['Option'] as $Option){
			$tmpStyle='';
			if($pColumn['Value']==$Option['Value']){
				$tmpStyle='_Light';
			}
?><td class="ChooseCell_A<?php echo($tmpStyle); ?>" style="padding-left:0px;"><input id="<?php echo($tmpControl.$Coun0); ?>" name="<?php echo($tmpControl); ?>" type="radio" class="ChooseCell_C<?php echo($tmpStyle); ?> SControl1"
onclick="tmpControl.onControlLight(this,'ChooseCell_C<?php echo($tmpStyle); ?>');<?php echo($pColumn['Parameter_JS_Onclick']); ?>"
onblur="tmpControl.onControlBlur(this,'ChooseCell_C<?php echo($tmpStyle); ?>');<?php echo($pColumn['Parameter_JS_Onblur']); ?>"
onfocus="<?php echo($pColumn['Parameter_JS_Onfocus']); ?>"
onchange="<?php echo($pColumn['Parameter_JS_Onchange']); ?>"
onmouseover="<?php echo($pColumn['Parameter_JS_Onmouseover']); ?>"
onmouseout="<?php echo($pColumn['Parameter_JS_Onmouseout']); ?>"
value="<?php echo ($Option['Value']); ?>" <?php if($pColumn['Value']==$Option['Value']){ echo (' checked="checked" '); } ?> /></td>
<td class="ChooseCell_B<?php echo($tmpStyle); ?>"><label for="<?php echo($tmpControl.$Coun0); ?>"><?php echo ($Option['Text']); ?></label></td><td>&nbsp;</td><?php
			$tmpINT=$Coun0+1;
			if($pColumn['stcoctUiLen']==0){ $pColumn['stcoctUiLen']=1; }
			if($tmpINT%$pColumn['stcoctUiLen']==0){
?></tr><tr><?php
			}
			$Coun0++;
		}
?>
</tr></table>
<?php if($pColumn['Control_Input']==1){ ?>
<ul class="VoteC_Other_1">
<li class="VoteC_Other_2"><input id="<?php echo($tmpControl.$Coun0); ?>" name="<?php echo($tmpControl); ?>" type="radio" value="-1" /></li>
<li class="VoteC_Other_3"><label for="<?php echo($tmpControl.$Coun0); ?>">其它回答：</label></li>
<li class="VoteC_Other_4"><input id="<?php echo($tmpControl); ?>_Other" name="<?php echo($tmpControl); ?>_Other" type="text" class="SControl1 VoteC_Text"
onclick="tmpControl.onControlLight(this,'VoteC_Text');<?php echo($pColumn['Parameter_JS_Onclick']); ?>"
onblur="tmpControl.onControlBlur(this,'VoteC_Text');<?php echo($pColumn['Parameter_JS_Onblur']); ?>" /></li>
<li class="DClear"></li></ul>
<?php } ?>

<input id="<?php echo($tmpControl); ?>ID" name="<?php echo($tmpControl); ?>ID" value="<?php echo ($pColumn['Control_ID']); ?>" type="hidden" />
<?php
	}
}
?>